module LAPP_LF_MOM_BACKEND

go 1.14

require (
	github.com/360EntSecGroup-Skylar/excelize v1.4.1
	github.com/360EntSecGroup-Skylar/excelize/v2 v2.3.2
	github.com/CloudyKit/jet/v3 v3.0.0 // indirect
	github.com/Joker/hpp v1.0.0 // indirect
	github.com/casbin/casbin/v2 v2.31.8
	github.com/casbin/xorm-adapter/v2 v2.3.2
	github.com/denisenkom/go-mssqldb v0.10.0
	github.com/dgraph-io/badger v1.6.0 // indirect
	github.com/dgrijalva/jwt-go v3.2.0+incompatible
	github.com/etcd-io/bbolt v1.3.3 // indirect
	github.com/gavv/httpexpect v2.0.0+incompatible // indirect
	github.com/go-sql-driver/mysql v1.6.0
	github.com/go-xorm/xorm v0.7.9
	github.com/gomodule/redigo v1.7.1-0.20190724094224-574c33c3df38 // indirect
	github.com/google/uuid v1.1.2
	github.com/gookit/color v1.4.2
	github.com/gorilla/websocket v1.4.2
	github.com/hashicorp/go-version v1.2.0 // indirect
	github.com/iris-contrib/blackfriday v2.0.0+incompatible // indirect
	github.com/iris-contrib/go.uuid v2.0.0+incompatible
	github.com/iris-contrib/middleware/cors v0.0.0-20210110101738-6d0a4d799b5d
	github.com/iris-contrib/pongo2 v0.0.1 // indirect
	github.com/jonboulle/clockwork v0.2.2 // indirect
	github.com/json-iterator/go v1.1.11
	github.com/k0kubun/colorstring v0.0.0-20150214042306-9440f1994b88 // indirect
	github.com/kardianos/service v1.2.0
	github.com/kataras/golog v0.1.7
	github.com/kataras/iris/v12 v12.2.0-alpha2
	github.com/kataras/neffos v0.0.18
	github.com/lestrrat-go/file-rotatelogs v2.4.0+incompatible
	github.com/lestrrat-go/strftime v1.0.4 // indirect
	github.com/lianggx6/goutf16 v0.0.0-20200426122116-c2284d989cd2
	github.com/nats-io/nats-server/v2 v2.3.1 // indirect
	github.com/robfig/cron v1.2.0
	github.com/ryanuber/columnize v2.1.0+incompatible // indirect
	github.com/spf13/viper v1.8.1
	github.com/stretchr/testify v1.7.0
	github.com/tealeg/xlsx v1.0.5
	github.com/yudai/pp v2.0.1+incompatible // indirect
	go.mongodb.org/mongo-driver v1.5.3
	go.uber.org/zap v1.18.1
	golang.org/x/crypto v0.0.0-20210616213533-5ff15b29337e
	gopkg.in/yaml.v2 v2.4.0
	xorm.io/core v0.7.3
)
